Bug 1016227 - Eng. review of Development Guild
Eng. review of Development Guild
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: GA
: 6.0
Assigned To: David Le Sage
Filip Nguyen
: Documentation
: 1034531 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 14:01 EDT by Van Halbert
Modified: 2014-07-09 01:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 20:47:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 belong 2013-11-26 00:15:16 EST
Van,

I think your point 5 was supposed to be 6.6 Metadata. Does this update satisfy your suggestion? - http://docbuilder.usersys.redhat.com/16965/#Metadata

Also, can you please provide more information about your points, 18 and 19?

Cheers,
Ben
Comment 4 belong 2013-11-26 21:24:02 EST
*** Bug 1034531 has been marked as a duplicate of this bug. ***
Comment 5 belong 2013-11-26 22:39:56 EST
1)  3.4. Provided Resource Adapters - Missing, google, infinispan and mongodb resource adapters

Fixed (replaced topic - now reusing the topic used in Admin Guide) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Resource_Adapters_in_JBoss_Data_Services

2)  3.6. Setting the Development Environment - The text says the artifacts are available in the maven repo, tell the customer that it is Jboss maven repository and give the URL of it

Deferred (waiting on reply - Bug 1035073 created to track this issue)

3) 4.6. Specify Configuration Properties in an ra.xml File - The text says "ra.xml" file located in located in ...., this line needs to be removed. This location is only for "built-in" resource adaprters that are provided by redhat. Custom ones are built using as text defines RAR file, they do not define their ra.xml as shown here

No change: verified by Van

4) 4.9. Deploying the Adapter - Text says, the rar file needs to be copied into the "deployments" directory. This should be removed, user should always use either "CLI" or "web Console" to deploy the RAR file, this ensures proper deployment of artifact even in the domain mode.

Fixed (updated text) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Deploying_the_Adapter

5) 6.6 Metadata - Remove the text saying the metadata can be used in the Dynamic VDBs, now this can also be used with Designer tool with new Teiid Connection importer. Get rid of box, replace with usage of it.

Fixed (updated text) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Metadata

6) 6.7. Logging - Logging is no longer controlled by editing the "logging.properties", for editing the logging edit the standalone.xml's logging susbsystem or use tool 
like web-console

Fixed (updated text) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Logging2

7) 6.8. Exceptions - Change the text that, if you need to throw exceptions in the *translator* code use ...

Fixed (updated text) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Exceptions1

8) 6.9. Default Name - The translator created here is only avaialble in the scope of the VDB, *not* available to all the DV

Fixed (added note) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Default_Name

9) 6.11. Releasing Connections - Drop text " If your resource adapter does not implement the JEE JCA, then connection pooling semantics are left to the user to define on their own.". 
RAR comes pooling, JCA means that user has no choice to define their own.

Fixed (text removed) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Releasing_Connections

10) 8.3. Module Deployment - A sample module.xml file may be useful here.

Fixed (added example) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Module_Deployment

11) 8.4. JAR Deployment - sample manifest.mf would be useful

Fixed (added example) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#JAR_Deployment

12) 10.4 Adding Dependent Modules - I do not see need for this page

Fixed (removed topic).

13) 11.1. User Defined Functions - rewrite - "See also the Relational extension boolean metadata property "deterministic" and the DDL OPTION property "determinism". Defaults to false. It is important to mark the function as deterministic if it returns the same value for the same inputs as this will lead to better performance. See also the Relational extension boolean metadata property "deterministic" and the DDL OPTION property "determinism".

Fixed (removed duplicate sentences) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#User_Defined_Functions

14) 11.1. User Defined Functions - original text - "Even pushdown required functions need to be added as a UDF to allow JBoss Data Virtualization to properly parse and resolve the function. Pushdown scalar functions differ from normal user-defined functions in that no code is provided for evaluation in the engine. An exception will be raised if a pushdown required function cannot be evaluated by the appropriate source." This is Designer specific note, put it in box and re-word that says that if using the pushdown UDF in Designer, user needs to create a source function on the souce model, so that the parsing will correctly work

Fixed (reworded and added as note) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#User_Defined_Functions

15) 11.1. User Defined Functions - Mention that user can create UDF and also an Aggreagte UDF, they created similarly but is one is aggregate function.

Fixed (added reference to UDAFs) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#User_Defined_Functions

16) 11.4. Non-Pushdown UDF Metadata for Dynamic VDBs - Refer to Red Hat JBoss Data Virtualization Development Guide: Reference Material for more information about DDL Metadata and options related to functions defined via DDL. It should as to refer to "reference guide", not development guide for DDL metadata.

No change: It is already referring the reader to the Reference Material volume of the Development Guide.

17) 11.5. Non-Pushdown UDF Java Coding - Pull these into two separate pages, one for UDF and one UDAF. It is even confusing to me. We need to make clear distinction that there are two types of UDFs

Fixed (split content) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#sect-Coding_Non-Pushdown_Functions

18) 11.6. Non-Pushdown UDF Post Coding Activities - In point (2), note that "In Dynamic VDB..."

Fixed (split steps as suggested in Comment 3 above) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#sect-Coding_Non-Pushdown_Functions

19) 11.6. Non-Pushdown UDF Post Coding Activities - On the "Note", do not refer to as ZIP deployment, refer to as Designer based VDB, and using vdb explorer user can external files like jar to VDB archive.

Fixed (text updated based on Comment 3 above) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#sect-Coding_Non-Pushdown_Functions

20) 11.9. Defining a Source Supported Function via Teiid Designer - add a note that that function is only visible for that VDB. Where are extending the translator, the functions can be used by any vdb.

Fixed (added note) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Defining_a_Source_Supported_Function_via_Teiid_Designer

21) 12.3. Administration Methods - says read java doc, can we provide a link here?

Fixed (added reference to instructions to download API) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#Administration_Methods

22) 15.2. NATIVE - Add a note here that in during the custom translator development if user implements "getMetadata" method on the ExecutionFactory class, NATIVE uses this 
method to retrive the metadata from source.

Fixed (added note) - http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Data_Virtualization/6/html-single/Development_Guide_Server_Development/index.html#NATIVE
Comment 6 belong 2013-12-11 00:26:52 EST
Changed Component from doc-DSP_Development_Guide

Note You need to log in before you can comment on or make changes to this bug.